View Issue Details

IDProjectCategoryView StatusLast Update
0008658ADK-Xojo-V4RBAPI-waypublic2020-12-15 09:49
ReporterBeatrix WilliusAssigned ToSergey Pashkov 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version10.6.x 
Target Version10.6.xFixed in Version10.6.x 
Summary0008658: Add support for new DateTime class from Xojo
DescriptionIn Xojo 2019r2 there will be a new DateTime class as replacement for the deprecated Date class. Please add support in Valentina for the new class.
TagsNo tags attached.

Activities

Sergey Pashkov

Sergey Pashkov

2020-12-15 09:49

developer   ~0011498

DateTime support will be available in version 10.6.1.

So now the API is adjusted to the version of Xojo:
2019r2 or newer - DateTime class
2019r1.1 or older - Date class

Issue History

Date Modified Username Field Change
2019-10-07 05:18 Beatrix Willius New Issue
2020-12-09 09:14 Sergey Pashkov Assigned To => Sergey Pashkov
2020-12-09 09:14 Sergey Pashkov Status new => assigned
2020-12-15 09:49 Sergey Pashkov Status assigned => resolved
2020-12-15 09:49 Sergey Pashkov Resolution open => fixed
2020-12-15 09:49 Sergey Pashkov Product Version => 10.6.x
2020-12-15 09:49 Sergey Pashkov Fixed in Version => 10.6.x
2020-12-15 09:49 Sergey Pashkov Target Version => 10.6.x
2020-12-15 09:49 Sergey Pashkov Note Added: 0011498